KDE 4.9 PyKDE API Reference

- KDE's Python API

# FileItem Class Reference

`from PyKDE4.kio import *`

Namespace: KIO.RenameDialogPlugin

## Detailed Description

File Representation consisting of the KUrl, MimeType and filesize and the times of the last changes.

## Methods

| __init__ (self, KUrl url, QString mimeSrc, long a2, long ctime, long mtime)
| __init__ (self, KIO.RenameDialogPlugin.FileItem other)
long | cTime (self)
long | fileSize (self)
long | mTime (self)
QString | mimeType (self)
KUrl | url (self)

## Method Documentation

__init__ | ( | self, |
|  | KUrl | url,
|  | QString | mimeSrc,
|  | long | a2,
|  | long | ctime,
|  | long | mtime
| ) |  |  |

__init__ | ( | self, |
|  | KIO.RenameDialogPlugin.FileItem | other
| ) |  |  |

long cTime | ( |  | self ) |

long fileSize | ( |  | self ) |

long mTime | ( |  | self ) |

QString mimeType | ( |  | self ) |

KUrl url | ( |  | self ) |